Bug 715 - Bugzilla List open to e-mail harvesting
: Bugzilla List open to e-mail harvesting
Status: CLOSED FIXED
Product: maemo.org Website
Bugzilla
: unspecified
: All All
: High enhancement (vote)
: ---
Assigned To: Marcell Lengyel
: Maemo QA (deprecated)
:
:
:
:
  Show dependency tree
 
Reported: 2006-07-23 23:04 UTC by Bill
Modified: 2007-12-04 12:59 UTC (History)
0 users (show)

See Also:


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description Bill (reporter) 2006-07-23 23:04:24 UTC
While Bugzilla is a very useful tool, in my mind it has a major flaw in that 
unregistered (not logged in)users have free access to the bug reporters e-mail 
address. Does this not open up anybody who uses this site to e-mail harvesting?

Please suppress the e-mail address on all postings (use the alias instead). Had 
I known that there were no preference settings to protect my email address 
(from non-registered users) I would not have posted a bug (or registered)at all.

I would like to continue to use the bug reporting system as it provides a very 
useful service.

Thank-you, Bill
Comment 1 Maemo QA (deprecated) 2006-07-28 20:53:30 UTC
Thanks for your feedback. Email harvesting is a possibility, however, this
cannot be fixed easily. Gnome bugzilla does this by showing email addresses only
users who are logged in.
Comment 2 Jake Kunnari 2007-05-22 14:43:44 UTC
Moved to correct Product and Component.
Comment 3 Jake Kunnari 2007-12-04 12:06:06 UTC
Marcell: this is already implemented?
Comment 4 Marcell Lengyel maemo.org 2007-12-04 12:29:31 UTC
An e-mail hiding patch has been applied to maemo bugzilla, it should not not
show e-mail addresses to anonymous users anymore. Please reopen and provide a
link if there are still some e-mail address leaks with anonymous access.
Comment 5 Jake Kunnari 2007-12-04 12:59:00 UTC
Closing FIXED bugs. if error/problem still occurs, please reopen bug with
comments.